Package net.snowflake.client.core

## Enum QueryStatus

- java.lang.Object
- - java.lang.Enum<QueryStatus>
  - - net.snowflake.client.core.QueryStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<QueryStatus>`

    public enum QueryStatus
    extends Enum<QueryStatus>

Copied from QueryDTO.java in Global Services.

### Enum Constant Summary

Enum Constants
`ABORTED`
`ABORTING`
`BLOCKED` The state when a statement is waiting on a lock on resource held by another statement.
`DISCONNECTED`
`FAILED_WITH_ERROR`
`FAILED_WITH_INCIDENT`
`NO_DATA`
`QUEUED`
`QUEUED_REPAIRING_WAREHOUSE`
`RESTARTED`
`RESUMING_WAREHOUSE`
`RUNNING`
`SUCCESS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getDescription()`
`int` `getErrorCode()`
`String` `getErrorMessage()`
`static QueryStatus` `getStatusFromString​(String description)`
`int` `getValue()`
`static boolean` `isAnError​(QueryStatus status)`
`static boolean` `isStillRunning​(QueryStatus status)`
`void` `setErrorCode​(int errorCode)`
`void` `setErrorMessage​(String message)`
`static QueryStatus` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static QueryStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RUNNING

    public static final QueryStatus RUNNING

#### ABORTING

    public static final QueryStatus ABORTING

#### SUCCESS

    public static final QueryStatus SUCCESS

#### FAILED_WITH_ERROR

    public static final QueryStatus FAILED_WITH_ERROR

#### ABORTED

    public static final QueryStatus ABORTED

#### QUEUED

    public static final QueryStatus QUEUED

#### FAILED_WITH_INCIDENT

    public static final QueryStatus FAILED_WITH_INCIDENT

#### DISCONNECTED

    public static final QueryStatus DISCONNECTED

#### RESUMING_WAREHOUSE

    public static final QueryStatus RESUMING_WAREHOUSE

#### QUEUED_REPAIRING_WAREHOUSE

    public static final QueryStatus QUEUED_REPAIRING_WAREHOUSE

#### RESTARTED

    public static final QueryStatus RESTARTED

#### BLOCKED

    public static final QueryStatus BLOCKED

The state when a statement is waiting on a lock on resource held by another statement.

#### NO_DATA

    public static final QueryStatus NO_DATA

### Method Detail

#### values

    public static QueryStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryStatus c : QueryStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryStatus valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()

#### getDescription

    public String getDescription()

#### getErrorMessage

    public String getErrorMessage()

#### getErrorCode

    public int getErrorCode()

#### setErrorMessage

    public void setErrorMessage​(String message)

#### setErrorCode

    public void setErrorCode​(int errorCode)

#### isStillRunning

    public static boolean isStillRunning​(QueryStatus status)

#### isAnError

    public static boolean isAnError​(QueryStatus status)

#### getStatusFromString

    public static QueryStatus getStatusFromString​(String description)